Package org.eclipse.mat.ui.editor

## Class MultiPaneEditorContributor

- java.lang.Object
- - org.eclipse.ui.part.EditorActionBarContributor
  - - org.eclipse.mat.ui.editor.MultiPaneEditorContributor

All Implemented Interfaces:
  `IEditorActionBarContributor`

    public class MultiPaneEditorContributor
    extends EditorActionBarContributor

### Constructor Summary

Constructors
`MultiPaneEditorContributor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`IEditorPart` `getActivePage()`
`void` `setActiveEditor​(IEditorPart part)`
`void` `setActivePage​(AbstractEditorPane part)`

### Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor

`contributeToCoolBar, contributeToMenu, contributeToStatusLine, contributeToToolBar, getActionBars, getPage, init, init`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiPaneEditorContributor

    public MultiPaneEditorContributor()

### Method Detail

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IEditorActionBarContributor`
Overrides:
  `dispose` in class `EditorActionBarContributor`

#### setActiveEditor

    public void setActiveEditor​(IEditorPart part)

Specified by:
  `setActiveEditor` in interface `IEditorActionBarContributor`
Overrides:
  `setActiveEditor` in class `EditorActionBarContributor`

#### setActivePage

    public void setActivePage​(AbstractEditorPane part)

#### getActivePage

    public IEditorPart getActivePage()